Bug 492130 (mingw32-gtkmm24) - Review Request: mingw32-gtkmm24 - MinGW Windows C++ interface for GTK2 (a GUI library for X)
Summary: Review Request: mingw32-gtkmm24 - MinGW Windows C++ interface for GTK2 (a GUI...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: mingw32-gtkmm24
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: mingw32-pangomm
Blocks: mingw32-libglademm24 mingw32-plotmm
TreeView+ depends on / blocked
 
Reported: 2009-03-25 14:55 UTC by Thomas Sailer
Modified: 2009-05-02 16:29 UTC (History)
4 users (show)

Fixed In Version: 2.14.3-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-02 16:29:48 UTC
mattias.ellert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Sailer 2009-03-25 14:55:58 UTC
Spec URL: http://sailer.fedorapeople.org/mingw32-gtkmm24.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-gtkmm24-2.15.0-1.fc11.src.rpm
Description:
MinGW Windows C++ interface for GTK2 (a GUI library for X)

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Comment 1 Mattias Ellert 2009-04-18 15:28:09 UTC
Fedora review mingw32-gtkmm24-2.15.0-1.fc11.src.rpm 2009-04-18

* OK
! needs attention

* rpmlint output
  Only expected Errors/Warnings from a mingw package

* Package is named according to Fedora mingw packaging guidelines

* Spec file is named as the package

* Package follows the Fedora mingw packaging guidelines

* The stated license (LGPLv2+) is a Fedora approved license

* The stated license is the same as the one for the corresponding
  Fedora package

* The package contains the license file (COPYING) which is LGPL v2.1

! The package also includes another license file (COPYING.tools) from
  the source tarball which is the GPL2 license. Is any of the
  components in the package released under this license? If there are
  components in the package released under this license the License
  tag should reflect this. If there are no components in the package
  released under this license this file shouldn't be in the package.
  The corresponding native Fedora package gtkmm24 doesn't seem to
  package this file.

* The spec file is written in legible English

* Sources matches upstream
  b1b3e8efa33425bf91ba49922fab13ac  gtkmm-2.15.0.tar.bz2
  b1b3e8efa33425bf91ba49922fab13ac  SRPM/gtkmm-2.15.0.tar.bz2

! Accoding to guidelines the version should match the version of the
  corresponding Fedora package. The current version of the native
  package (in F11 and devel) is 2.16.0.

* Package builds in mock (Fedora 10).

! Since the documentation is deleted anyway after the build, wouldn't
  it make sense to pass --disable-doc to configure so that it is not
  built in the first place?

* BuildRequires look sane

* Owns the directories it creates

* No duplicate files

* %files has %defattr

* %clean clears %buildroot

* Specfile uses macros consistently

* Package does not own other's directories

* %install clears %buildroot

* Installed filenames are valid UTF8

Comment 2 Thomas Sailer 2009-04-18 18:35:11 UTC
Thanks for taking the review!

In order to update mingw32-gtkmm24 to 2.16.0, mingw32-gtk2 also needs to be updated to 2.16.0 or later, otherwise gtkmm24 won't compile.

I have applied for ACL's on mingw32-gtk2 to be able to do that, so stay tuned...

COPYING.tools needs not be included, as the binary rpm does not distribute any of the tools in the ./tools directory.

Comment 3 Erik van Pienbroek 2009-04-18 18:49:33 UTC
Hi,

I already have commit access to mingw32-gtk2, so I can update it to 2.16.1 if necessary. Does an update of gtk2 suffice or does glib2 also need to be updated to 2.20.1 ?

Comment 4 Thomas Sailer 2009-04-18 19:03:34 UTC
Erik, I'd be glad if you could update mingw32-gtk2. I have already updated mingw32-glib2 to 2.20.1.

Comment 5 Erik van Pienbroek 2009-04-18 19:21:11 UTC
mingw32-gtk2 2.16.1 is now being build for Rawhide/F12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1306975

Comment 6 Thomas Sailer 2009-04-18 22:14:25 UTC
Ok, I've updated the package:

Spec URL: http://sailer.fedorapeople.org/mingw32-gtkmm24.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-gtkmm24-2.16.0-1.fc11.src.rpm

Comment 7 Mattias Ellert 2009-04-19 17:21:59 UTC
Package approved.

Comment 8 Thomas Sailer 2009-04-19 18:25:51 UTC
Thank you for the review!

New Package CVS Request
=======================
Package Name: mingw32-gtkmm24
Short Description: MinGW Windows C++ interface for GTK2 (a GUI library for X)
Owners: sailer rjones
Branches: F-10 F-11
InitialCC:

Comment 9 Kevin Fenzi 2009-04-21 19:54:20 UTC
cvs done.

Comment 10 Fedora Update System 2009-04-30 07:00:33 UTC
mingw32-gtkmm24-2.14.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-gtkmm24-2.14.3-1.fc10

Comment 11 Fedora Update System 2009-05-02 16:29:43 UTC
mingw32-gtkmm24-2.14.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.